Bug 59004 - explicitly named modules should imply --force
explicitly named modules should imply --force
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: up2date (Show other bugs)
4.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Adrian Likins
Jay Turner
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-01-28 22:58 EST by Ed Halley
Modified: 2015-01-07 18:54 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-01-28 22:58:34 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ed Halley 2002-01-28 22:58:29 EST
Description of Problem:
  If the user explicitly commands up2date with a specific package name,
  but that package name is currently configured as skipped, then up2date
  skips the package.  It should imply --force for packages explicitly
  named by the user.

Actual Results:
  * user receives errata warning, suggesting new kernel installation.
  * user commands (up2date kernel).
  * user gets confusing error stating that some packages were skipped,
    or not in need of updating, or already installed.
  * user commands (up2date --force kernel).
  * new kernel package is retrieved and installed.

Expected Results:
  * user receives errata warning, suggesting new kernel installation.
  * user commands (up2date kernel)
  * new kernel package is retrieved and installed.

I can understand the skipping part, but not if the user explicitly requests
a specific and exact package name to be grabbed and installed.  up2date
should do what the user explicitly requests, and only second-guess cases
where it is not sure of implied or automatic requests.
Comment 1 Greg DeKoenigsberg 2002-04-29 19:22:38 EDT
Nope.  Disagree completely.  There are perfectly valid reasons for reminding the
user of various restrictions, even if the user explicitly names a package to be
up2dated.  A user may decide that a version of gcc is sacrosanct, put it on his
skip list, and then forget a couple of months later that he didn't want to
overwrite gcc with the newer version.  Skip lists exist for a reason and
shouldn't be arbitrarily disregarded.

You're using the appropriate workaround: up2date --force.    That is entirely
proper, and sufficient.

Note You need to log in before you can comment on or make changes to this bug.